
Foreman - Bug #304

Exception "marshall data too short" when trying to delete an Environment.

06/04/2010 12:15 AM - Bash Shell

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I get this exception when trying to delete an Environment.

ArgumentError in EnvironmentsController#index

marshal data too short

RAILS_ROOT: /usr/local/foredevJun1

Application Trace | Framework Trace | Full Trace

/usr/local/foredevJun1/vendor/rails/activerecord/lib/active_record/session_store.rb:71:in `load'

/usr/local/foredevJun1/vendor/rails/activerecord/lib/active_record/session_store.rb:71:in `unmarsh

al'

/usr/local/foredevJun1/vendor/rails/activerecord/lib/active_record/session_store.rb:110:in `data'

/usr/local/foredevJun1/vendor/rails/activerecord/lib/active_record/session_store.rb:292:in `get_se

ssion'

/usr/local/foredevJun1/vendor/rails/activerecord/lib/active_record/base.rb:1448:in `silence'

/usr/local/foredevJun1/vendor/rails/activerecord/lib/active_record/session_store.rb:288:in `get_se

ssion'

/usr/local/foredevJun1/vendor/rails/actionpack/lib/action_controller/session/abstract_store.rb:168

:in `load_session'

/usr/local/foredevJun1/vendor/rails/actionpack/lib/action_controller/session/abstract_store.rb:62:

in `send'

/usr/local/foredevJun1/vendor/rails/actionpack/lib/action_controller/session/abstract_store.rb:62:

in `load!'

/usr/local/foredevJun1/vendor/rails/actionpack/lib/action_controller/session/abstract_store.rb:70:

in `stale_session_check!'

/usr/local/foredevJun1/vendor/rails/actionpack/lib/action_controller/session/abstract_store.rb:61:

in `load!'

/usr/local/foredevJun1/vendor/rails/actionpack/lib/action_controller/session/abstract_store.rb:28:

in `[]'

/usr/local/foredevJun1/app/controllers/application_controller.rb:72:in `require_login'

Request

Parameters:

None

Show session dump

--- 

Response

Headers:

{"Content-Type"=>"",

 "Cache-Control"=>"no-cache"}

 When I restarted foreman and went to the settings page, it continued:
Processing HomeController#settings (for 10.1.1.141 at 2010-06-03 16:07:22) [GET]

  Parameters: {"action"=>"settings", "controller"=>"home"}

ArgumentError (marshal data too short):

  app/controllers/application_controller.rb:101:in `load_tabs'

Rendered rescues/_trace (42.9ms)

Rendered rescues/_request_and_response (2.0ms)

Rendering rescues/layout (internal_server_error)

 I have to clear the sessions table to start foreman.

Its probably due to the sessions table fields being too short or something/

History

#1 - 06/04/2010 03:11 AM - Ohad Levy

- Status changed from New to Feedback

did you do git pull while the server was running? one of the last commits required a restart..

#2 - 06/04/2010 06:31 PM - Bash Shell

I pulled the latest source on Friday morning PST and still got this error.

Then I cleared all the sessions: rake db:sessions:clear

I changed the "data" column in the sessions from "text" to "longtext"

Then I performed the step that reproduces this error:

1> Try to delete an Environment.

(Earlier it would warn me about Env being in use and let me navigate else where, but threw exception when I tried to delete another Env)

2> Tried to delete another Env

3> No exception thrown.

I haven't seen this exception since altering the sessions table...

#3 - 09/19/2010 03:32 PM - Ohad Levy

- Status changed from Feedback to Rejected
